> For the complete documentation index, see [llms.txt](https://apidocs.akinon.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://apidocs.akinon.com/commerce-openapis/data-warehouse/content-types.md).

# Content Types

## GET /content-types/

> This method returns details about a specific content type, including its ID, app label, and model. The content type is used to link to a specific model in the application, allowing for flexible object referencing.

```json
{"openapi":"3.0.3","info":{"title":"Data Warehouse","version":"1.0.0"},"servers":[{"description":"Server base URL with dynamic channel_id.","url":"https://{omnitron_url}/api/v1/remote/{channel_id}/data-warehouse","variables":{"channel_id":{"default":"1","description":"Unique identifier for the sales channel."},"omnitron_url":{"default":"sandbox.akinon.com"}}},{"description":"Server base URL with Commerce URL.","url":"https://{commerce_url}/api/v1/data-warehouse","variables":{"commerce_url":{"default":"sandbox.commerce.akinon.com"}}}],"security":[{"tokenAuth":[]}],"components":{"securitySchemes":{"tokenAuth":{"description":"Token-based authentication with required prefix \"Token\"","in":"header","name":"Authorization","type":"apiKey"}},"schemas":{"PaginatedContentTypeList":{"properties":{"count":{"description":"Numerical value representing quantity or total amount.","type":"integer"},"next":{"description":"This field defines the URL of the next page.","format":"uri","nullable":true,"type":"string"},"previous":{"description":"This field defines the URL of the previous page.","format":"uri","nullable":true,"type":"string"},"results":{"description":"This field returns a list of results.","items":{"$ref":"#/components/schemas/ContentType"},"type":"array"}},"type":"object"},"ContentType":{"properties":{"app_label":{"description":"The field defines the name of the app associated with the content type.","maxLength":100,"type":"string"},"id":{"description":"Unique identifier for the record.","type":"integer"},"model":{"description":"The field defines the model name associated with the content type.","maxLength":100,"type":"string"}},"type":"object"}}},"paths":{"/content-types/":{"get":{"description":"This method returns details about a specific content type, including its ID, app label, and model. The content type is used to link to a specific model in the application, allowing for flexible object referencing.","operationId":"content_types_list","parameters":[{"description":"Query parameter `app_label` used to filter results based on specific conditions.","in":"query","name":"app_label","schema":{"type":"string"}},{"description":"Query parameter `id` used to filter results based on specific conditions.","in":"query","name":"id","schema":{"type":"integer"}},{"description":"Filters records where `id` is greater than the given value.","in":"query","name":"id__gt","schema":{"type":"integer"}},{"description":"Filters records where `id` is greater than or equal to the given value.","in":"query","name":"id__gte","schema":{"type":"integer"}},{"description":"Filters records where `id` is less than the given value.","in":"query","name":"id__lt","schema":{"type":"integer"}},{"description":"Filters records where `id` is less than or equal to the given value.","in":"query","name":"id__lte","schema":{"type":"integer"}},{"description":"Limits the number of results returned in the response.","in":"query","name":"limit","required":false,"schema":{"type":"integer"}},{"description":"Query parameter `model` used to filter results based on specific conditions.","in":"query","name":"model","schema":{"type":"string"}},{"description":"Query parameter `page` used to filter results based on specific conditions.","in":"query","name":"page","required":false,"schema":{"type":"integer"}},{"description":"Query parameter `sort` used to filter results based on specific conditions.","in":"query","name":"sort","required":false,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaginatedContentTypeList"}}},"description":"Successful response for status code 200."}},"tags":["content-types"]}}}}
```

## GET /content-types/{id}/

> This method returns details about a specific content type, including its ID, app label, and model. The content type is used to link to a specific model in the application, allowing for flexible object referencing. This endpoint retrieves a specific record by its unique identifier.

```json
{"openapi":"3.0.3","info":{"title":"Data Warehouse","version":"1.0.0"},"servers":[{"description":"Server base URL with dynamic channel_id.","url":"https://{omnitron_url}/api/v1/remote/{channel_id}/data-warehouse","variables":{"channel_id":{"default":"1","description":"Unique identifier for the sales channel."},"omnitron_url":{"default":"sandbox.akinon.com"}}},{"description":"Server base URL with Commerce URL.","url":"https://{commerce_url}/api/v1/data-warehouse","variables":{"commerce_url":{"default":"sandbox.commerce.akinon.com"}}}],"security":[{"tokenAuth":[]}],"components":{"securitySchemes":{"tokenAuth":{"description":"Token-based authentication with required prefix \"Token\"","in":"header","name":"Authorization","type":"apiKey"}},"schemas":{"ContentType":{"properties":{"app_label":{"description":"The field defines the name of the app associated with the content type.","maxLength":100,"type":"string"},"id":{"description":"Unique identifier for the record.","type":"integer"},"model":{"description":"The field defines the model name associated with the content type.","maxLength":100,"type":"string"}},"type":"object"}}},"paths":{"/content-types/{id}/":{"get":{"description":"This method returns details about a specific content type, including its ID, app label, and model. The content type is used to link to a specific model in the application, allowing for flexible object referencing. This endpoint retrieves a specific record by its unique identifier.","operationId":"content_types_retrieve","parameters":[{"description":"A unique integer value identifying this içerik türü.","in":"path","name":"id","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ContentType"}}},"description":"Successful response for status code 200."},"404":{"content":{"application/json":{}},"description":"Object not found."}},"tags":["content-types"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://apidocs.akinon.com/commerce-openapis/data-warehouse/content-types.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
